#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libleak
Version		:	0.3.6
Release		:	17.0.10.rel%{?dist}
Summary		:	Detects memory leak by hooking memory functions

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/WuBingzheng/libleak

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libbacktrace-devel
#-----------------------------------------------------------------------------
%description
libleak detects memory leak by hooking memory
functions (e.g. malloc) by LD_PRELOAD.

There is no need to modify or re-compile the
target program, and you can enable/disable
the detection during target running.

In fact libleak can not identify memory leak,
while it just takes the memory as leak if it
lives longer than a threshold. The threshold
is 60 second by default, but you should set
it according to your scenarios.

There is less impact on performance, compared
with valgrind and memleax

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}						\
	%{buildroot}%{_libdir}

%{__cp} -a						\
	%{name}.so					\
	%{buildroot}%{_libdir}

#-----------------------------------------------------------------------------
%changelog
